Bug 812567 - [abrt]: [ BUG: lock held when returning to user space! ]
[abrt]: [ BUG: lock held when returning to user space! ]
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:32e31bf706b9e8d2c0217dbe170...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-14 20:00 EDT by Josip
Modified: 2012-06-28 00:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-28 00:11:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josip 2012-04-14 20:00:32 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.0-0.rc3.git7.2.fc17.x86_64 root=/dev/mapper/vg_kaleidoscopea-lv_root ro rd.md=0 rd.dm=0 SYSFONT=True rd.lvm.lv=vg_kaleidoscopea/lv_swap rd.luks=0 KEYTABLE=croat rd.lvm.lv=vg_kaleidoscopea/lv_root LANG=en_US.UTF-8 rhgb quiet
kernel:         3.3.0-0.rc3.git7.2.fc17.x86_64
time:           Čet 12 Tra 2012 14:56:10

backtrace:
:[ BUG: lock held when returning to user space! ]
:3.3.0-0.rc3.git7.2.fc17.x86_64 #1 Not tainted
:------------------------------------------------
:NetworkManager/633 is leaving the kernel with locks still held!
:1 lock held by NetworkManager/633:
: #0:  (rcu_read_lock){.+.+..}, at: [<ffffffff81634e89>] inet6_dump_fib+0x79/0x3e0
:BUG: scheduling while atomic: NetworkManager/633/0x00000002
:INFO: lockdep is turned off.
:Modules linked in: fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 ip6table_filter xt_state nf_conntrack ip6_tables arc4 ath9k snd_hda_codec_hdmi ath9k_common ath9k_hw ath snd_hda_codec_realtek mac80211 acer_wmi uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev v4l2_compat_ioctl32 media snd_hda_intel cfg80211 sparse_keymap snd_hda_codec snd_hwdep snd_pcm iTCO_wdt snd_page_alloc iTCO_vendor_support snd_timer snd rfkill tg3 i2c_i801 soundcore microcode uinput sdhci_pci sdhci mmc_core nouveau mxm_wmi i915 wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
:Pid: 633, comm: NetworkManager Not tainted 3.3.0-0.rc3.git7.2.fc17.x86_64 #1
:Call Trace:
: [<ffffffff8169227e>] __schedule_bug+0x80/0x85
: [<ffffffff8169c37b>] __schedule+0x8db/0x9a0
: [<ffffffff8169c78f>] schedule+0x3f/0x60
: [<ffffffff810cff29>] futex_wait_queue_me+0xc9/0x100
: [<ffffffff81077555>] ? __send_signal+0x165/0x940
: [<ffffffff810d069a>] futex_wait+0x19a/0x2e0
: [<ffffffff8107a974>] ? set_current_blocked+0x34/0x60
: [<ffffffff810d2565>] do_futex+0x115/0xa50
: [<ffffffff8107aa76>] ? block_sigmask+0x46/0x50
: [<ffffffff810191bb>] ? do_signal+0x14b/0x7c0
: [<ffffffff81691116>] ? is_prefetch.isra.13+0xc8/0x200
: [<ffffffff811bd430>] ? fget_light+0xf0/0x4a0
: [<ffffffff811bd3a2>] ? fget_light+0x62/0x4a0
: [<ffffffff810d2fa7>] sys_futex+0x107/0x1a0
: [<ffffffff8132bb84>] ? lockdep_sys_exit_thunk+0x35/0x67
: [<ffffffff8132bb0e>] ? trace_hardirqs_on_thunk+0x3a/0x3f
: [<ffffffff816a6f29>] system_call_fastpath+0x16/0x1b

smolt_data:
:
:
:General
:=================================
:UUID: 97ca8f53-d093-4e96-982d-d38c03b81633
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_GB.utf8
:Platform: x86_64
:BogoMIPS: 4589.43
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2410M CPU @ 2.30GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2301
:System Memory: 5798
:System Swap: 7871
:Vendor: Acer
:System: Aspire 5750G V1.08
:Form factor: Notebook
:Kernel: 3.3.0-0.rc3.git7.2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(5348:5823:4133:1284) pci, None, BASE, N/A
:(32902:7241:4133:1284) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(32902:278:4133:1284) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4133:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4133:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4133:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(4318:3572:4133:1285) pci, nouveau, VIDEO, GF106 [GeForce GT 555M SDDR3]
:(32902:7200:4133:1284) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:4133:1284) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(5772:46:4187:57396) pci, ath9k, NETWORK, AR9287 Wireless Network Adapter (PCI-Express)
:(5348:5813:4133:1284) pci, tg3, ETHERNET, NetLink BCM57785 Gigabit Ethernet PCIe
:(5348:5820:4133:1284) pci, sdhci-pci, BASE, NetXtreme BCM57765 Memory Card Reader
:(5348:5822:4133:1284) pci, None, BASE, N/A
:(32902:7171:4133:1284) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4133:1284) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4133:1284) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4133:1284) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4133:1284) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(4147:404:4133:1284) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:257:4133:1284) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_kaleidoscopea-lv_root / ext4 4096 4096 13092026 11812162 11681112 3276800 3154180 3154180
:/dev/sda1 /boot ext4 1024 1024 508745 357241 331641 128016 127698 127698
:/dev/mapper/vg_kaleidoscopea-lv_home /home ext4 4096 4096 65460469 25510674 22233874 16384000 15894970 15894970
:
Comment 1 Dave Jones 2012-04-16 10:16:06 EDT
that kernel is quite old now. Can you try the latest one and see if this still happens ?

Note You need to log in before you can comment on or make changes to this bug.